Inhalte
Index 🔎︎

# Anweisung Line Input #

Liest Zeichenketten aus einer sequenziellen Datei in eine Variable.

## Syntax:

    Line Input #Dateinummer As Integer, Var As String

## Parameter:

Dateinummer: Nummer der Datei mit den zu lesenden Daten. Die Datei muss zuvor mit einer Anweisung Open und dem Schlüsselwort INPUT geöffnet worden sein.

Var: Der Name der Variable, in der das Ergebnis gespeichert wird.

Mit Hilfe der Anweisung Line Input# können Sie Zeichenketten aus einer geöffneten Datei in eine Variable einlesen. String-Variablen werden bis zum ersten Carriage-Return (Asc=13) oder Line Feed (Asc=10), also zeilenweise gelesen, wobei die Zeilenendenmarken selbst nicht mit in die Zeichenkette übernommen werden.

## Beispiel:

    Sub ExampleWorkWithAFile
    Dim iNumber As Integer
    Dim sLine As String
    Dim aFile As String
    Dim sMsg As String
        aFile = "c:\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Print #iNumber, "Das ist eine Zeile Text"
        Print #iNumber, "Das ist eine weitere Zeile Text"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As iNumber
        While Not EOF(iNumber)
            Line Input #iNumber, sLine
            If sLine <>"" Then
                sMsg = sMsg & sLine & chr(13)
            End If
        Wend
        Close #iNumber
        MsgBox sMsg
    End Sub